---
updatedAt: 2026-08-20T18:01:09.000Z
agentTools:
  projectIndex: https://developer.truckstop.com/llms.txt
---

# Delete a load

Removes the specified load from the load board. **Try it:** <a href="/reference/delete-load" target="_blank">Here</a>

# Remove a load

<Callout icon="📘" theme="info">
  ### Removing a load from the Load Board

  <HTMLBlock>{`
  <table style="margin:0">
    <tr>
      <th style="background:#DD111B;color:white">DELETE</th>
      <th style="background:#E7F6EC;color:black">
        /loadmanagement/v2/load/{id}
      </th>
      <th style="background:#E7F6EC;color:black">
        Delete posted loads.
      </th>
    </tr>
    <tr><td colspan=3><hr/></td></tr>
  	<tr>
  		<td>Authorization</td>
  		<td colspan=2>bearer token</td>
  	</tr>   
  	<tr>
  		<td>Content Type</td>
  		<td colspan=2>application/json</td>
  	</tr>
  	<tr>
  		<td>URL Params</td>
  		<td colspan=2>{id} - the LoadID (GUID) returned when the load was posted</td>
  	</tr>
  	<tr>
  		<td>Body Params</td>
  		<td colspan=2>JSON Object</td>
  	</tr>
  </table>
  `}</HTMLBlock>

  ***

  ```curl Request
  DELETE https://api-int.truckstop.com/loadmanagement/v2/load/<id> HTTP/1.1
  Authorization: bearer <access_token>
  Content-Type: application/json

  {
      "reason": 2,
      "comment": "No longer valid load"
  }
  ```
  ```curl Response
  HTTP/1.1 204 No Content
  Content-Type: application/json; charset=utf-8
  CorrelationId: 901b6bd9-cd5a-4fca-9955-fc94db7eeacd
  ```

  ### **Requested Fields:**

  | Field   | Type   | Usage    | Description                                                                                                          |
  | :------ | :----- | :------- | :------------------------------------------------------------------------------------------------------------------- |
  | Reason  | string | required | The [**Load State Reason**](https://truckstop.readme.io/reference/load-state-reason-codes) that the load was deleted |
  | Comment | string | optional | An optional comment to explain why the load was deleted                                                              |

  - **Response Fields:** The response is an empty message with an HTTP 204 No Content code.
  - **Error Fields:** Error responses contain an **HTTP Code** and an **Error** object.
</Callout>